<?php

$_funciones = '../core/php/funciones.php';

require $_funciones;

function vista(){
    echo 'hola mundo';
    require 'conf/propiedades.php';

    $_login             = _sesionActiva();
    $_carpeta           = (isset($_GET['carpeta']) && $_GET['carpeta'] != 'inicio')? nombreUrl($_GET['carpeta']) : '';
    $_pagina            = (isset($_GET['pagina']))? nombreUrl($_GET['pagina']) : 'home';
    $_dir               = _DIR_;
    $es_home            = ($_pagina === 'home');
    $_archivo_vaciar    = vaciarVariable();
    $_fecha_actual      = fechaHoraActual();

    require 'clases/conexion-class.php';
    require 'clases/usuario-class.php';
    require 'clases/sitio-class.php';

    $_usuario   = new Usuario();
    $_sitio     = new Sitio();
/*
    if(!$es_home && $_login && !_esAdmin()){
        $_sitio_disponible = _sitioEstaDisponible();

        if(!$_sitio_disponible){
            _cerrarSesionUsuario();
            require $_archivo_vaciar;

            header('location: ' . _DIR_);
            exit;
        }
    }*/
    if(!$es_home){
        $usuario_activo = _usuarioEstaActivo();

        if(!$usuario_activo){
            require $_archivo_vaciar;
            header('location: ' . _DIR_);
            exit;
        }
    }

    if(!$_login && !$es_home){
        require $_archivo_vaciar;
        header('location: ' . _DIR_);
        exit;
    }elseif($_login && !existeSitioSeleccionado() && !in_array($_carpeta, $arr_cp_admin)){
        require $_archivo_vaciar;
        header('location: ' . _DIR_ . 'configuracion/seleccionar-sitio/');
        exit;
    }elseif($_login && empty($_carpeta)){
        $usuario = _sesionUsuario();
        $_usuario->id_usuario       = $usuario->id_usuario;
        $_usuario->id_tipo_usuario  = $usuario->id_tipo_usuario;
        $_usuario->id_sitio         = sesionSitio()->id_sitio;

        $url                        = $_usuario->SeccionPaginaPrincipal();
        $redireccion                = _DIR_ . "{$url->seccion}/{$url->pagina}/";

        header('location: ' . $redireccion);
        require $_archivo_vaciar;
        exit;
    }else{
        $nombre_sitio    = '';
        $url_sitio       = '';
        $_carpeta_actual = $_carpeta;

        if(!is_dir('pagina/' . $_carpeta)){
            $url_sitio      = sesionSitio()->nombre_url;
            $nombre_sitio   = '[ ' . sesionSitio()->nombre_sitio . ' ] ';
            $_carpeta       = $url_sitio . '/' . $_carpeta;
        }

        $es_admin   = ($_login && _esAdmin());
        $_js        = (!$es_home)? $_carpeta : $_pagina;
        $_titulo    = (!$es_home)? $nombre_sitio . mayusculaPorPalabra(str_replace('-', ' ', $_carpeta_actual)) . ' : :' : '';

        if(!empty($_carpeta)){
            $_id     = $_carpeta_actual . '-' . $_pagina;
            $_carpeta .= '/';
        }else
            $_id = $_pagina;

        if(existeArchivo("pagina/{$_carpeta}{$_pagina}.php")){
            if(!$es_home)
                require 'php/valida-sesion.php';

            require 'inc/cabecera.php';
            require "pagina/{$_carpeta}{$_pagina}.php";
            require 'inc/pie.php';

            require $_archivo_vaciar;
            exit;
        }else{
            require $_archivo_vaciar;
            header('location: ' . _DIR_);
            exit;
        }
    }

    exit;
    echo 'mensaje 2';
}

function _usuarioEstaActivo(){
    if(_sesionActiva()){
        $_usuario               = new Usuario();
        $_usuario->id_usuario   = _idUsuario();
        $activo                 = $_usuario->UsuarioActivo();

        if(!$activo){
            _cerrarSesionUsuario();
            limpiarSesionSitio();
        }

        unset($_usuario);
        return $activo;
    }

    return false;
}

function existeSitioSeleccionado(){
    return (isset($_SESSION[_SESION_ . 'sitio']));
}